## vagrant 2.2.14+dfsg

=== debian/changelog ===
vagrant (2.2.14+dfsg-2) bullseye; urgency=medium

  * Add support for VirtualBox 7.0 (Closes: #1026227)

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 07 Feb 2023 10:33:52 +0100

vagrant (2.2.14+dfsg-1) unstable; urgency=medium

  * New upstream version 2.2.14+dfsg
  * Refresh patches
  * Bump version constraints in Build-Depends
  * Run test suite on build and autopkgtest
    - Add a patch to skip a few tests that require winrm
    - Skip some entire test files that require winrm
    - Add new build dependencies: ruby-rspec, ruby-rspec-its, ruby-webmock,
      curl
    - Add patch to fix test suite to run against installed package

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 07 Feb 2021 14:53:25 -0300

=== debian/control ===
Source: vagrant
Section: admin
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>,
           Laurent Bigonville <bigon@debian.org>
Build-Depends: bash-completion,
               debhelper-compat (= 12),
               curl,
               gem2deb (>= 1),
               rake,
               ruby,
               ruby-bcrypt-pbkdf (>= 1.0.0),
               ruby-childprocess (>= 4.0.0),
               ruby-ed25519 (>= 1.2.4),
               ruby-erubi,
               ruby-i18n (>= 1.8),
               ruby-listen (>= 3.1.5),
               ruby-log4r (>= 1.1.9),
               ruby-mime-types (>= 3.3),
               ruby-net-scp (>= 1.2.0),
               ruby-net-sftp (>= 3.0),
               ruby-net-ssh (>= 6.1.0),
               ruby-rspec,
               ruby-rspec-its,
               ruby-vagrant-cloud (>= 3.0),
               ruby-webmock,
               ruby-zip (>= 2.0)
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/ruby-team/vagrant.git
Vcs-Browser: https://salsa.debian.org/ruby-team/vagrant
Homepage: https://www.vagrantup.com
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: vagrant
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: libarchive-tools,
         curl,
         openssh-client,
         rsync,
         ${misc:Depends},
         ${ruby:Depends},
         ${shlibs:Depends}
Recommends: vagrant-libvirt
Suggests: virtualbox (>= 4.0)
Breaks: virtualbox (>= ${vagrant:UnsupportedVirtualBox})
Description: Tool for building and distributing virtualized development environments
 This package provides the tools to create and configure lightweight,
 reproducible, and portable virtual environments.
 .
 Vagrant upstream uses Oracle’s VirtualBox by default to create its virtual
 machines. On Debian, Vagrant will use libvirt/KVM by default as VirtualBox is
 not part of Debian main, but will use VirtualBox if it's installed.

=== debian/tests/control ===
Tests: smoke-test
Depends: @, vagrant-libvirt

# This needs to be run as root when unattended, because vagrant-libvirt (the
# default provider) needs to manipulate NFS exports via sudo
Tests: integration-test
Depends: distro-info,
         libvirt-daemon-system,
         vagrant-libvirt,
         qemu-utils,
         nfs-kernel-server,
         libguestfs-tools,
         @
Restrictions: isolation-machine, needs-root, needs-internet, skippable

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(.*)\.tar\.gz/vagrant-$1.tar.gz/,dversionmangle=s/\+dfsg\d*//,repacksuffix=+dfsg \
  https://github.com/hashicorp/vagrant/tags .*/v?(\d[\d\.]+)\.tar\.gz

## vagrant 2.2.19%2Bdfsg

=== debian/changelog ===
vagrant (2.2.19+dfsg-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Drop integration-test DEP-8 test as it tries to download a vagrant
      box from the internet.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 20 Nov 2021 21:37:55 -0500

vagrant (2.2.19+dfsg-1) unstable; urgency=medium

  * New upstream version 2.2.19+dfsg
    - Passes tests against ruby3.0 with ruby-rspec >= 3.10 (Closes: #996529)
  * debian/upstream/metadata: correct URLs
  * debian/control: refresh build dependencies
  * Bump Standards-Version to 4.6.0; no changes needed
  * Refresh patches
  * Refresh packaging files from dh-make-ruby
  * debian/rules: replace whitelist/blacklist with include/exclude
  * System-side installed plugins: cope with upstream changes
  * autopkgtest: integration-test: add missing dependency on dnsmaq
  * autopkgtest: integration-test: add missing dependency on sudo

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 15 Nov 2021 09:10:33 -0300

vagrant (2.2.14+dfsg-1ubuntu1) impish; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Drop integration-test DEP-8 test as it tries to download a vagrant
      box from the internet.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 29 May 2021 18:43:54 -0400

## vagrant 2.2.19+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,34 @@
 Source: vagrant
 Section: admin
 Priority: optional
-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
            Laurent Bigonville <bigon@debian.org>
 Build-Depends: bash-completion,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                curl,
-               gem2deb (>= 1),
+               gem2deb (>= 1.6),
                rake,
                ruby,
-               ruby-bcrypt-pbkdf (>= 1.0.0),
-               ruby-childprocess (>= 4.0.0),
+               ruby-bcrypt-pbkdf (>= 1.1),
+               ruby-childprocess (>= 4.1.0),
                ruby-ed25519 (>= 1.2.4),
                ruby-erubi,
                ruby-i18n (>= 1.8),
-               ruby-listen (>= 3.1.5),
+               ruby-listen (>= 3.6),
                ruby-log4r (>= 1.1.9),
                ruby-mime-types (>= 3.3),
-               ruby-net-scp (>= 1.2.0),
+               ruby-net-scp (>= 3.0.0),
                ruby-net-sftp (>= 3.0),
                ruby-net-ssh (>= 6.1.0),
-               ruby-rspec,
+               ruby-rspec (>= 3.10),
                ruby-rspec-its,
-               ruby-vagrant-cloud (>= 3.0),
+               ruby-rexml (>= 3.2),
+               ruby-vagrant-cloud (>= 3.0.5),
                ruby-webmock,
                ruby-zip (>= 2.0)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/ruby-team/vagrant.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/vagrant
 Homepage: https://www.vagrantup.com

=== debian/tests/control ===
Tests: smoke-test
Depends: @, vagrant-libvirt

## vagrant 2.3.4%2Bdfsg

=== debian/changelog ===
vagrant (2.3.4+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Lucas Nussbaum <lucas@debian.org>  Thu, 16 Feb 2023 16:42:49 +0100

vagrant (2.3.4+dfsg-1) unstable; urgency=medium

  * New upstream version 2.3.4+dfsg
    - Passes its tests with rspec 3.12 (Closes: #1027098)
  * debian/control: update with dh-make-ruby
  * Refresh patches.
    Drop patch for VirtualBox 7.0 support as it is already present upstream.
  * test/unit/base.rb: don´t load patch to fake_ftp when running tests
  * debian/ruby-tests.rake: skip test that requires a rgl (not packaged)

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 30 Dec 2022 21:47:34 -0300

vagrant (2.2.19+dfsg-3) unstable; urgency=medium

  * Add upstream patch with VirtualBox 7.0 support (Closes: #1026227)

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 19 Dec 2022 21:53:30 -0300

vagrant (2.2.19+dfsg-2) unstable; urgency=medium

  [ Vincent Blut ]
  * d/vagrant.install: provide vagrant zsh completion

  [ Antonio Terceiro ]
  * Don't force an upper bound on Ruby versions (Closes: #1025261)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 01 Dec 2022 16:25:04 -0300

## vagrant 2.3.4+dfsg

=== Makefile ===
ASSETFS_PATH?=internal/server/gen/bindata_ui.go

GIT_COMMIT=$$(git rev-parse --short HEAD)
GIT_DIRTY=$$(test -n "`git status --porcelain`" && echo "+CHANGES" || true)
GIT_DESCRIBE=$$(git describe --tags --always --match "v*")
GIT_IMPORT="github.com/hashicorp/vagrant/internal/version"
GOLDFLAGS="-X $(GIT_IMPORT).GitCommit=$(GIT_COMMIT)$(GIT_DIRTY) -X $(GIT_IMPORT).GitDescribe=$(GIT_DESCRIBE)"
CGO_ENABLED?=0

.PHONY: bin
bin: # bin creates the binaries for Vagrant for the current platform
	@test -s "thirdparty/proto/api-common-protos/.git" || { echo "git submodules not initialized, run 'git submodule update --init --recursive' and try again"; exit 1; }
	CGO_ENABLED=$(CGO_ENABLED) go build -ldflags $(GOLDFLAGS) -gcflags="$(GCFLAGS)" -tags assetsembedded -o ./vagrant ./cmd/vagrant

.PHONY: debug
debug: # debug creates an executable with optimizations off, suitable for debugger attachment
	GCFLAGS="all=-N -l" $(MAKE) bin

.PHONY: bin/windows
bin/windows: # create windows binaries
	@test -s "thirdparty/proto/api-common-protos/.git" || { echo "git submodules not initialized, run 'git submodule update --init --recursive' and try again"; exit 1; }#
	GOOS=windows GOARCH=amd64 CGO_ENABLED=$(CGO_ENABLED) go build -ldflags $(GOLDFLAGS) -tags assetsembedded -o ./vagrant.exe ./cmd/vagrant

.PHONY: bin/linux
bin/linux: # create Linux binaries
	@test -s "thirdparty/proto/api-common-protos/.git" || { echo "git submodules not initialized, run 'git submodule update --init --recursive' and try again"; exit 1; }
	GOOS=linux GOARCH=amd64 $(MAKE) bin

.PHONY: bin/linux-386
bin/linux-386: # create Linux binaries
	@test -s "thirdparty/proto/api-common-protos/.git" || { echo "git submodules not initialized, run 'git submodule update --init --recursive' and try again"; exit 1; }
	GOOS=linux GOARCH=386 $(MAKE) bin

.PHONY: bin/darwin
bin/darwin: # create Darwin binaries
	@test -s "thirdparty/proto/api-common-protos/.git" || { echo "git submodules not initialized, run 'git submodule update --init --recursive' and try again"; exit 1; }
	GOOS=darwin GOARCH=amd64 $(MAKE) bin

.PHONY: test
test: # run tests
	go test ./...

.PHONY: format
format: # format go code
	gofmt -s -w ./

.PHONY: docker/mitchellh
docker/mitchellh:
	DOCKER_BUILDKIT=1 docker build \
					--ssh default \
					--secret id=ssh.config,src="${HOME}/.ssh/config" \
					--secret id=ssh.key,src="${HOME}/.ssh/config" \
					-t vagrant:latest \
					.

# This currently assumes you have run `ember build` in the ui/ directory
static-assets:
	@go-bindata -pkg gen -prefix dist -o $(ASSETFS_PATH) ./ui/dist/...
	@gofmt -s -w $(ASSETFS_PATH)

.PHONY: gen/doc
gen/doc:
	@rm -rf ./doc/* 2> /dev/null
	protoc -I=. \
		-I=./thirdparty/proto/api-common-protos/ \
		--doc_out=./doc --doc_opt=html,index.html \
		./internal/server/proto/server.proto

=== debian/changelog ===
vagrant (2.3.4+dfsg-1+deb12u1) bookworm; urgency=medium

  * Add patch 0008-Fix-the-default-vagrant-URL-for-pulling-boxes.patch:
    Work-around change introduced by Hashicorp that broke the public Vagrant
    registry with this version of Vagrant. Closes: #1092987

 -- Lucas Nussbaum <lucas@debian.org>  Fri, 24 Jan 2025 22:31:10 +0100

=== debian/rules ===
#!/usr/bin/make -f

export GEM2DEB_TEST_RUNNER = --check-dependencies
export DH_RUBY = --gem-install
export DH_RUBY_GEM_INSTALL_INCLUDE = version.txt
export DH_RUBY_GEM_INSTALL_EXCLUDE = contrib/* scripts/*

%:
	dh $@ --buildsystem=ruby --with ruby --with bash_completion

override_dh_auto_build:
	dh_auto_build
	pod2man -c "" -r "" debian/dh_vagrant_plugin > debian/dh_vagrant_plugin.1

override_dh_auto_install: virtualbox_support
	dh_auto_install
	find debian/vagrant/usr/share/rubygems-integration/ -name README.md -delete

unsupported_virtualbox = $(shell ./debian/get-unsupported-virtualbox)

virtualbox_support:
	@echo 'vagrant:UnsupportedVirtualBox=$(unsupported_virtualbox)' >> debian/vagrant.substvars
	@echo 'Unsupported VirtualBox: >= $(unsupported_virtualbox)'

=== debian/tests/control ===
Tests: smoke-test
Depends: @, vagrant-libvirt

# This needs to be run as root when unattended, because vagrant-libvirt (the
# default provider) needs to manipulate NFS exports via sudo
Tests: integration-test
Depends: distro-info,
         libvirt-daemon-system,
         vagrant-libvirt,
         qemu-utils,
         nfs-kernel-server,
         libguestfs-tools,
         dnsmasq,
         sudo,
         @
Restrictions: isolation-machine, needs-root, needs-internet, skippable

## vagrant 2.3.7+git20230731.5fc64cde+dfsg

=== Makefile ===
--- 
+++ 
@@ -10,35 +10,83 @@
 .PHONY: bin
 bin: # bin creates the binaries for Vagrant for the current platform
 	@test -s "thirdparty/proto/api-common-protos/.git" || { echo "git submodules not initialized, run 'git submodule update --init --recursive' and try again"; exit 1; }
-	CGO_ENABLED=$(CGO_ENABLED) go build -ldflags $(GOLDFLAGS) -gcflags="$(GCFLAGS)" -tags assetsembedded -o ./vagrant ./cmd/vagrant
+	CGO_ENABLED=$(CGO_ENABLED) go build -ldflags $(GOLDFLAGS) -gcflags="$(GCFLAGS)" -tags assetsembedded -o ./bin/vagrant-go ./cmd/vagrant
 
 .PHONY: debug
 debug: # debug creates an executable with optimizations off, suitable for debugger attachment
 	GCFLAGS="all=-N -l" $(MAKE) bin
 
+.PHONY: all
+all:
+	$(MAKE) bin/windows
+	$(MAKE) bin/linux
+	$(MAKE) bin/darwin
+
 .PHONY: bin/windows
-bin/windows: # create windows binaries
-	@test -s "thirdparty/proto/api-common-protos/.git" || { echo "git submodules not initialized, run 'git submodule update --init --recursive' and try again"; exit 1; }#
-	GOOS=windows GOARCH=amd64 CGO_ENABLED=$(CGO_ENABLED) go build -ldflags $(GOLDFLAGS) -tags assetsembedded -o ./vagrant.exe ./cmd/vagrant
+bin/windows:
+	$(MAKE) bin/windows-amd64
+	$(MAKE) bin/windows-386
+
+.PHONY: bin/windows-amd64
+bin/windows-amd64: # create windows binaries
+	@test -s "thirdparty/proto/api-common-protos/.git" || { echo "git submodules not initialized, run 'git submodule update --init --recursive' and try again"; exit 1; }
+	GOOS=windows GOARCH=amd64 CGO_ENABLED=$(CGO_ENABLED) go build -ldflags $(GOLDFLAGS) -tags assetsembedded -o ./bin/vagrant-go_windows_amd64.exe ./cmd/vagrant
+
+.PHONY: bin/windows-386
+bin/windows-386: # create windows binaries
+	@test -s "thirdparty/proto/api-common-protos/.git" || { echo "git submodules not initialized, run 'git submodule update --init --recursive' and try again"; exit 1; }
+	GOOS=windows GOARCH=386 CGO_ENABLED=$(CGO_ENABLED) go build -ldflags $(GOLDFLAGS) -tags assetsembedded -o ./bin/vagrant-go_windows_386.exe ./cmd/vagrant
 
 .PHONY: bin/linux
-bin/linux: # create Linux binaries
+bin/linux:
+	$(MAKE) bin/linux-amd64
+	$(MAKE) bin/linux-386
+
+.PHONY: bin/linux-amd64
+bin/linux-amd64: # create Linux binaries
 	@test -s "thirdparty/proto/api-common-protos/.git" || { echo "git submodules not initialized, run 'git submodule update --init --recursive' and try again"; exit 1; }
-	GOOS=linux GOARCH=amd64 $(MAKE) bin
+	GOOS=linux GOARCH=amd64 CGO_ENABLED=$(CGO_ENABLED) go build -ldflags $(GOLDFLAGS) -gcflags="$(GCFLAGS)" -tags assetsembedded -o ./bin/vagrant-go_linux_amd64 ./cmd/vagrant
 
 .PHONY: bin/linux-386
 bin/linux-386: # create Linux binaries
 	@test -s "thirdparty/proto/api-common-protos/.git" || { echo "git submodules not initialized, run 'git submodule update --init --recursive' and try again"; exit 1; }
-	GOOS=linux GOARCH=386 $(MAKE) bin
+	GOOS=linux GOARCH=386 CGO_ENABLED=$(CGO_ENABLED) go build -ldflags $(GOLDFLAGS) -gcflags="$(GCFLAGS)" -tags assetsembedded -o ./bin/vagrant-go_linux_386 ./cmd/vagrant
 
 .PHONY: bin/darwin
-bin/darwin: # create Darwin binaries
+bin/darwin:
+	$(MAKE) bin/darwin-amd64
+	$(MAKE) bin/darwin-arm64
+	$(MAKE) bin/darwin-universal
+
+.PHONY: bin/darwin-amd64
+bin/darwin-amd64: # create Darwin binaries
 	@test -s "thirdparty/proto/api-common-protos/.git" || { echo "git submodules not initialized, run 'git submodule update --init --recursive' and try again"; exit 1; }
-	GOOS=darwin GOARCH=amd64 $(MAKE) bin
+	GOOS=darwin GOARCH=amd64 CGO_ENABLED=$(CGO_ENABLED) go build -ldflags $(GOLDFLAGS) -gcflags="$(GCFLAGS)" -tags assetsembedded -o ./bin/vagrant-go_darwin_amd64 ./cmd/vagrant
+
+.PHONY: bin/darwin-arm64
+bin/darwin-arm64: # create Darwin binaries
+	@test -s "thirdparty/proto/api-common-protos/.git" || { echo "git submodules not initialized, run 'git submodule update --init --recursive' and try again"; exit 1; }
+	GOOS=darwin GOARCH=arm64 CGO_ENABLED=$(CGO_ENABLED) go build -ldflags $(GOLDFLAGS) -gcflags="$(GCFLAGS)" -tags assetsembedded -o ./bin/vagrant-go_darwin_arm64 ./cmd/vagrant
+
+.PHONY: bin/darwin-universal
+bin/darwin-universal:
+	@test -s "thirdparty/proto/api-common-protos/.git" || { echo "git submodules not initialized, run 'git submodule update --init --recursive' and try again"; exit 1; }
+	GOOS=darwin GOARCH=arm64 CGO_ENABLED=$(CGO_ENABLED) go build -ldflags $(GOLDFLAGS) -gcflags="$(GCFLAGS)" -tags assetsembedded -o ./bin/.vagrant-go_darwin_arm64 ./cmd/vagrant
+	GOOS=darwin GOARCH=amd64 CGO_ENABLED=$(CGO_ENABLED) go build -ldflags $(GOLDFLAGS) -gcflags="$(GCFLAGS)" -tags assetsembedded -o ./bin/.vagrant-go_darwin_amd64 ./cmd/vagrant
+	go run github.com/randall77/makefat ./bin/vagrant-go_darwin_universal ./bin/.vagrant-go_darwin_arm64 ./bin/.vagrant-go_darwin_amd64
+	rm -f ./bin/.vagrant-go_darwin*
+
+.PHONY: clean
+clean:
+	rm -f ./bin/vagrant-go* ./bin/.vagrant-go_darwin*
 
 .PHONY: test
 test: # run tests
 	go test ./...
+
+.PHONY: force-test
+force-test: # run all tests (no cached results)
+	go test -count=1 ./...
 
 .PHONY: format
 format: # format go code

=== debian/changelog ===
vagrant (2.3.7+git20230731.5fc64cde+dfsg-4) unstable; urgency=medium

  * set myself as sole active Uploaders:

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 11 Jul 2025 13:33:40 +0200

vagrant (2.3.7+git20230731.5fc64cde+dfsg-3) unstable; urgency=medium

  * Add patch 0012-Loosen-dependency-on-ruby.patch
    + Support Ruby 3.3. Closes: #1091664
  * Add patch 0013-Fix-the-default-vagrant-URL-for-pulling-boxes.patch
    + Fix incompatibility introduced by Hashicorp that prevented 
      the public registry to work with this version of Vagrant.
      Closes: #1092987

 -- Lucas Nussbaum <lucas@debian.org>  Fri, 24 Jan 2025 22:27:33 +0100

vagrant (2.3.7+git20230731.5fc64cde+dfsg-2) unstable; urgency=medium

  * Add patch: 0011-Add-newline-at-end-of-private-key.patch
    Fix a bug introduced in upstream commit 67562588 where invalid private
    keys were generated.

 -- Lucas Nussbaum <lucas@debian.org>  Tue, 07 May 2024 14:46:44 +0200

vagrant (2.3.7+git20230731.5fc64cde+dfsg-1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Drop myself from Uploaders

  [ Lucas Nussbaum ]
  * New upstream version 2.3.7+git20230731.5fc64cde+dfsg
    + This is the last commit before the license change to BUSL.
  * Add patch: 0009-Raise-error-if-openssl-headers-not-found.patch
  * Add build-dep on libssl-dev and switch to Architecture: any to build the
    vagrant_ssl extension
  * Fix rubygems-integration path due to the above arch:any change
  * Drop Build-dep on ruby-net-ftp, which is provided by libruby3.X anyway.
    Closes: #1070420
  * Remove watch file: we don't expect upstream updates
  * Add patch 0010-Remove-shebang-from-bash-completion-file.patch to fix
    lintian warning.

 -- Lucas Nussbaum <lucas@debian.org>  Mon, 06 May 2024 21:08:41 +0200

vagrant (2.3.6+dfsg-1) unstable; urgency=medium

  * New upstream version 2.3.6+dfsg
  * Add myself to Uploaders
  * Add patch: 0008-Skip-tests-that-require-rgl.patch

 -- Lucas Nussbaum <lucas@debian.org>  Tue, 05 Mar 2024 16:49:51 +0100

vagrant (2.3.5+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Lucas Nussbaum ]
  * New upstream version 2.3.5+dfsg
  * Refresh patches
  * Refresh packaging using dh-make-ruby -w

 -- Lucas Nussbaum <lucas@debian.org>  Tue, 05 Mar 2024 15:20:48 +0100

=== debian/control ===
Source: vagrant
Section: admin
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Hans-Christoph Steiner <hans@eds.org>,
Build-Depends: bash-completion,
               curl,
               debhelper-compat (= 13),
               gem2deb (>= 1.6),
               libssl-dev,
               rake,
               ruby,
               ruby-bcrypt-pbkdf (>= 1.1),
               ruby-childprocess (>= 4.1.0),
               ruby-ed25519 (>= 1.3.0),
               ruby-erubi,
               ruby-googleapis-common-protos-types (>= 1.3),
               ruby-grpc,
               ruby-i18n (>= 1.12),
               ruby-ipaddr (>= 1.2.4),
               ruby-listen (>= 3.7),
               ruby-log4r (<< 1.1.11),
               ruby-log4r (>= 1.1.9),
               ruby-mime-types (>= 3.3),
               ruby-net-scp (>= 4.0),
               ruby-net-sftp (>= 4.0),
               ruby-net-ssh (>= 7.0),
               ruby-rexml (>= 3.2),
               ruby-rspec (>= 3.12),
               ruby-rspec-its,
#              needed by the `serve` command:
#              ruby-rgl (>= 0.5.7),
               ruby-vagrant-cloud (>= 3.0.5),
               ruby-webmock,
               ruby-zip (>= 2.3.2)
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/ruby-team/vagrant.git
Vcs-Browser: https://salsa.debian.org/ruby-team/vagrant
Homepage: https://www.vagrantup.com
Testsuite: autopkgtest-pkg-ruby
Rules-Requires-Root: no

Package: vagrant
Architecture: any
Depends: curl,
         libarchive-tools,
         openssh-client,
         rsync,
         ${misc:Depends},
         ${ruby:Depends},
         ${shlibs:Depends}
Recommends: vagrant-libvirt
Suggests: virtualbox (>= 4.0)
Breaks: virtualbox (>= ${vagrant:UnsupportedVirtualBox})
Description: Tool for building and distributing virtualized development environments
 This package provides the tools to create and configure lightweight,
 reproducible, and portable virtual environments.
 .
 Vagrant upstream uses Oracle’s VirtualBox by default to create its virtual
 machines. On Debian, Vagrant will use libvirt/KVM by default as VirtualBox is
 not part of Debian main, but will use VirtualBox if it's installed.

=== debian/tests/control ===
Tests: smoke-test
Depends: vagrant-libvirt,
         @

# This needs to be run as root when unattended, because vagrant-libvirt (the
# default provider) needs to manipulate NFS exports via sudo
Tests: integration-test
Depends: distro-info,
         dnsmasq-base,
         libguestfs-tools,
         libvirt-daemon-system,
         nfs-kernel-server,
         qemu-utils,
         sudo,
         vagrant-libvirt,
         @
Restrictions: isolation-machine, needs-root, needs-internet, skippable
